# configure environment to install controller from .deb and dev repo
class veil_maxpatrol {

  $mpuser_password = String(lookup('veil_maxpatrol::mpuser_plain_password'))
  $mpuser_ensure = lookup('veil_maxpatrol::mpuser_user_ensure')

  if $mpuser_password == 'disable' {
      $password = '*'
  } else {
      $password = pw_hash($mpuser_password, 'SHA-512', 'space')
  }

  user { 'mpuser':
    ensure     => $mpuser_ensure,
    forcelocal => true,
    groups     => [ 'users', 'veil' ],
    shell      => '/bin/bash',
    home       => '/home/mpuser',
    managehome => true,
    password   => $password,
  }

  if $mpuser_ensure == 'present' {

      # $dir_ensure = 'directory'

      file { "/home/mpuser/bin":
        ensure => directory,
        group => 'mpuser',
        owner => 'mpuser',
        mode => '0700',
      }

      file { "/home/mpuser/.ssh":
        ensure => directory,
        group => 'mpuser',
        owner => 'mpuser',
        mode => '0700',
      }

      file { '/home/mpuser/.ssh/authorized_keys':
          group => 'mpuser',
          owner => 'mpuser',
          mode    => '600',
      }

      file { '/etc/profile.d/maxpatrol.sh':
          mode    => '644',
          content => 'PATH=$HOME/bin:$PATH:/usr/sbin:/sbin',
      }

  } else {
      # kill user session upon remove mpuser
      exec { "killing mpuser":
            command => "pkill -9 -u mpuser",
            onlyif  => "grep '^mpuser' /etc/passwd && ps -u mpuser",
            # run before user gets removed
            before  => User['mpuser'];
      }

  }

}
